Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Invitations.LoadInvitationsResult

implements Releasable Result

com.google.android.gms.games.multiplayer.Invitations.LoadInvitationsResult

## Class Overview

Result delivered when invitations have been loaded. Possible status codes include:

- `STATUS_OK` if data was successfully loaded and is up-to-date.
- `STATUS_NETWORK_ERROR_NO_DATA` if the device was unable to retrieve any data from the network and has no data cached locally.
- `STATUS_NETWORK_ERROR_STALE_DATA` if the device was unable to retrieve the latest data from the network, but has some data cached locally.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to access this data.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract InvitationBuffer | getInvitations()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Releasable

abstract void | release()

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract InvitationBuffer getInvitations ()

##### Returns

- The invitations that were requested. This is guaranteed to be non-null, though it may be empty. The listener must close this object when finished.